# AODataKeyAdd

Add another data key to a AOData database.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeyAdd(AOData aodata,const char name[],PetscInt nlocal,PetscInt N)

Collective on AOData

### Input Parameters

| aodata | - the database
| name | - the name of the key
| nlocal | - number of indices to be associated with this processor
| N | - the number of indices in the key

### Keywords

database additions

### See Also

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/ao/examples/tutorials/ex1.c.html